Bug 1661817 - [DDF] Both the above commands report the correct hostname: undercloud-0. However, when later running the command 'openstack undercloud install' it fails with the following output: and it does not work until I run both hostnamectl commands listed below
Summary: [DDF] Both the above commands report the correct hostname: undercloud-0. Howe...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 13.0 (Queens)
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
: ---
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-23 15:38 UTC by Direct Docs Feedback
Modified: 2019-02-04 07:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Director 13
Last Closed: 2019-02-04 07:32:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Direct Docs Feedback 2018-12-23 15:38:19 UTC
Both the above commands report the correct hostname undercloud-0. However, when later running the command 'openstack undercloud install' it fails with the following output:
018-12-23 10:34:46,421 INFO: Logging to /home/stack/.instack/install-undercloud.log
2018-12-23 10:34:46,458 INFO: Checking for a FQDN hostname...
2018-12-23 10:34:46,493 INFO: Static hostname detected as localhost.localdomain
2018-12-23 10:34:46,511 INFO: Transient hostname detected as undercloud-0
2018-12-23 10:34:46,511 ERROR: Static hostname "localhost.localdomain" does not match transient hostname "undercloud-0".
2018-12-23 10:34:46,511 ERROR: Use hostnamectl to set matching hostnames.
2018-12-23 10:34:46,511 ERROR: An error occurred during configuration validation, please check your host configuration and try again. Error message: Static and transient hostnames do not match
Command 'instack-install-undercloud' returned non-zero exit status 1
and it does not work until I run both hostnamectl commands listed below

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/13/html/director_installation_and_usage/installing-the-undercloud#annotations:ff37cfc3-890d-475b-97a3-9cf68266a48a

Comment 1 Dan Macpherson 2019-01-31 04:02:51 UTC
Hi Nadav,

I think this might be NOTABUG. The intro instructions state that you need to use a fully-qualified domain name that can be resolved with the DNS server you use for the undercloud node. 

In your case, you used "undercloud-0" as the hostname, which isn't a fully-qualified domain names (e.g. "undercloud-0.example.com")

I could modify the step text to say:

"If either of the previous commands do not report the correct fully-qualified hostname or report an error, use hostnamectl to set a hostname:"

What do you think?

Comment 2 Nadav Halevy 2019-02-03 01:20:40 UTC
Hi Dan,

Thanks for explaining that. Now I understand.

I think that the modification you suggest would make it even clearer.

Many thanks,

Nadav


Note You need to log in before you can comment on or make changes to this bug.